'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _constants = require('./constants');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var Event = function Event(ipcMainEmitter) {
  _classCallCheck(this, Event);

  this.sender = {
    send: function send(channel) {
      for (var _len = arguments.length, args = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
        args[_key - 1] = arguments[_key];
      }

      return ipcMainEmitter.emit.apply(ipcMainEmitter, [_constants.UNIQUE + '-send', channel].concat(args));
    }
  };
};

exports.default = Event;