'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _constants = require('./constants');

var wait = function wait(fn) {
  return setTimeout(fn, 0);
};

function pipe(main, renderer) {

  renderer._emitter.on(_constants.UNIQUE + '-send', function (channel) {
    for (var _len = arguments.length, args = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      args[_key - 1] = arguments[_key];
    }

    wait(function () {
      var _main$_emitter;

      return (_main$_emitter = main._emitter).emit.apply(_main$_emitter, [_constants.UNIQUE + '-receive', channel].concat(args));
    });
  });

  main._emitter.on(_constants.UNIQUE + '-send', function (channel) {
    for (var _len2 = arguments.length, args = Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
      args[_key2 - 1] = arguments[_key2];
    }

    wait(function () {
      var _renderer$_emitter;

      return (_renderer$_emitter = renderer._emitter).emit.apply(_renderer$_emitter, [_constants.UNIQUE + '-receive', channel].concat(args));
    });
  });
}

exports.default = pipe;